# CourseFlow Import Tool for Moodle

This Moodle plugin provides a tool to import course content from CourseFlow into a Moodle course. It allows you to paste JSON data generated by CourseFlow and import lessons, sections, and outcomes directly into your Moodle course.

## Features

- Import CourseFlow-generated JSON into a Moodle course.
- Preview lessons, sections, and outcomes before importing.
- Automatically creates Moodle activities and outcomes.
- Integrates with Moodle’s gradebook and course structure.

## Installation

1. Clone or download this repository into your Moodle `local/` directory:

   ```bash
   cd your-moodle-directory/local
   git clone https://github.com/JChoquette/moodle-local_courseflowtool.git courseflowtool
   ```

2. Visit your Moodle site in a browser. Moodle will detect the new plugin and prompt you to complete the installation process.

### Requirements

 - Moodle 4.x or later

 - Access to a course where you have editing rights

### Usage

1. Go to a course where you want to import content.

1. In the administration blocks in the left sidebar, you will see CourseFlow Import under the "More" menu.

2. Click the link to open the import tool.

3. Paste your CourseFlow-generated JSON data into the text box.

4. Click the Import button to preview your data.

5. Select the items you want to import, then click Confirm and Import.

6. The plugin will create the appropriate sections, lessons, and outcomes in your course based on the JSON structure.


### License

This plugin is licensed under the GNU General Public License v3 or later.

Copyright 2025 Jeremie Choquette
